@import '../../styles/variables/colors';
@import '../../styles/variables/mixins';

.mg-second-fold {
  background-color: $cream-40;
  padding: 120px 50px 400px;
  position: relative;
  z-index: 2;

  @include tablet {
    min-height: auto;
    padding: 80px;
  }

  @include mobile {
    height: fit-content;
    width: 100vw;
    padding: 50px;

    @media (max-height: 700px) {
      padding: 35px;
    }
    @media (max-width: 400px) {
      padding: 50px 30px;
    }
  }
  .mg-second-fold-text {
    width: 100%;
    margin: 0 auto;

    .mg-second-fold-heading {
      font-family: 'Editorial New';
      font-weight: 200;
      font-size: 50px;
      line-height: 1.3em;
      text-align: center;
      letter-spacing: 0.01em;
      text-transform: uppercase;

      @include heading-font;
      > span {
        font-family: 'Notera';
        font-weight: 400;
        font-size: 63px;
        line-height: 110%;
        text-transform: lowercase;
        color: $brown-70;

        @include mobile {
          font-size: 23px;
        }
        @include notera-font;
      }
    }
    .mg-second-fold-subheading {
      font-size: 16px;
      line-height: 170%;
      text-align: center;
      margin: 40px auto 0;
      max-width: 678px;
      color: rgba(#262e2f, 0.7);

      @include subheading-font;

      @include mobile {
        max-width: 293px;
        font-size: 14px;
        margin: 20px auto 0;
      }
      @include tablet {
        font-size: 18px;
        margin: 20px auto 0;
      }
      @media (max-width: 300px) {
        padding: 0 20px;
      }
    }
    .mg-second-fold-footer {
      font-family: 'Notera';
      font-weight: 400;
      font-size: 63px;
      letter-spacing: -0.01em;
      text-align: center;
      color: $brown-70;
      margin-top: 50px;

      @include mobile {
        font-size: 33px;
        @media (max-height: 700px) {
          display: none;
        }
      }
    }
  }

  .mg-welcome-to {
    margin: 0 auto;
    width: 100%;
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    .welcome-to-plant {
      z-index: 1;
      position: absolute;
      top: -100px;
    }
    .mg-welcome-to-heading {
      position: relative;
      z-index: 2;
      font-family: 'Notera';
      font-style: normal;
      font-weight: 400;
      font-size: 63.1px;
      letter-spacing: -0.01em;
      color: $cream-50;
    }
    .mg-welcome-to-logo {
      width: 909px !important;
      height: 121px !important;
      margin-top: 23px;
      margin-bottom: 74px;
      position: relative;
      z-index: 2;
    }
    .mg-welcome-to-subheading {
      font-size: 16px;
      text-align: center;
      color: #9c9c9c;
      width: 56ch;
      margin: 0 auto;
      position: relative;
      z-index: 2;
    }
  }
}

.landing-banner {
  width: 100%;
  height: 70vh;

  @include mobile {
    height: 30vh;
  }
}

.secondfold-image-container {
  @include mobile {
    padding-top: 65px;
  }
}

.parallax {
  min-height: 800px;
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;

  @include mobile {
    min-height: 250px;
  }

  .tag {
    top: unset;
    bottom: 0;
  }
}

.tag {
  position: absolute;
  top: 0;
  left: 0;
  font-size: 0.8rem;
  display: inline-block;
  padding: 0.5rem;
  font-weight: 600;
  background-color: #f9f6ed;
  color: black ;

  @include mobile {
    padding: 0.3rem;
    font-size: 0.5rem;
  }
}

.tag.md {
  padding: 0.3rem;
  font-size: 0.7rem;
}
.tag.bottom {
  top: unset;
  bottom: 0;
}
.tag.green {
  background-color: rgb(75, 91, 71);
  color: white;
}
.tag.up{
  top: -100px;
  
  @include mobile{
    top: 0;
  }
}
.tag.grey{
  color: white;
  background-color: #434f50;
}
.tag.darkGreen{
  background-color: #293227;
  color: white;
}

.image-container-carousel{
  position: relative;
  >div{
    height: unset !important;
  }
}

.mapboxgl-popup-content {
  h5:first-of-type {
    margin-top: 1rem;
  }
}

.mapboxgl-popup-content {
  font-size: 2rem;
  padding: 1.5rem 2rem 1rem;
  text-align: center;
  border-radius: 5px;

  button {
    font-size: 2rem;
    top: 2px;
  }
}

.mapboxgl-popup-close-button {
  padding: 1px 6px;
}

.carousel-image-container {
  width: 100vw;
  height: 300px;
  position: relative;
  @media (max-height: 750px) {
    height: 250px;
  }
  img {
    object-fit: fill;
  }
}

.hover-underline-animation {
  display: inline-block !important;
  position: relative;
  cursor: pointer;

  &::after {
    content: '';
    position: absolute;
    width: 100%;
    transform: scaleX(0);
    height: 2px;
    bottom: 0;
    left: 0;
    background-color: white;
    transform-origin: bottom right;
    transition: transform 0.25s ease-out;
  }

  &:hover::after {
    transform: scaleX(1);
    transform-origin: bottom left;
  }
}

.second-fold-container {
  @include mobile {
    position: absolute;
  }
}
